読者です 読者をやめる 読者になる 読者になる

せでぃのブログ

ブログ初心者おいどんのどうでもいい愚痴やどうでもいい愚痴やどうでもいいマメ知識などを披露するチラシの裏です。

ConflictingHandlersってエラーのためにEclipse入れ直した

 まぁとにかくこんなエラーに悩まされていたので、Eclipseから何から全部入れ直して、結果解決した。
 ハッキリとは言い切れないが、たぶん、Eclipse使いつつAndroidStudioを丸ごと入れたのが悪かったんだろうなぁと。AndroidStudioのページ下部の方にSDK TOOLS onlyってあるのでそっちだけを入れると、エラーメッセージは出なくなった。
f:id:Sediment:20150508164628p:plain

org.eclipse.ui


Conflicting handlers for org.eclipse.ui.file.closeAll:
{org.eclipse.ui.internal.CloseAllHandler@7fd4b9ec} vs
{org.eclipse.ui.internal.CloseAllHandler}


Conflicting handlers for org.eclipse.ui.window.maximizePart:
{org.eclipse.ui.internal.handlers.MaximizePartHandler} vs
{org.eclipse.ui.internal.handlers.MaximizePartHandler@4407fea2}

An exception stack trace is not available.

AndroidStudioのアンインストール

 間違えてインストールしてしまった場合は、この辺を参考にアンインストールしてください。qiita.com

Eclipse環境構築手順

 SDK Tools onlyの手順に書き換えてます。
macでjava始めた - せでぃのブログ